MongoCursor::skip
MongoCursor::sort
MongoCursor
PHP Manual

# MongoCursor::slaveOkay

(PECL mongo >=0.9.4)

MongoCursor::slaveOkay — Sets whether this query can be done on a slave

### Description

public MongoCursor MongoCursor::slaveOkay ([ boolean `$okay` = true ] )

This method will override the static class variable slaveOkay.

### Parameters

`okay`

  If it is okay to query the slave.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

### Examples

Example #1 MongoCursor::slaveOkay() example

`<?php
MongoCursor::$slaveOkay = false;
// cannot query slave
$cursor = $collection->find();
// can query slave
$cursor = $collection->find()->slaveOkay();
MongoCursor::$slaveOkay = true;
// can query slave
$cursor = $collection->find();
// cannot query slave
$cursor = $collection->find()->slaveOkay(false);
?>`

MongoCursor::skip
MongoCursor::sort
MongoCursor
PHP Manual